<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Model\To\Mapp;

use FiloBlu\MappConnector\Model\To\Mapp\Resource\FTPResource;

/**
 * Class FTP
 * @package FiloBlu\MappConnector\Model\To\Mapp
 */
class FTP {

    /**
     * @var FTPResource
     */
    protected $_ftpResource;

    /**
     * User constructor.
     * @param FTPResource $userResource
     */
    public function __construct(FTPResource $ftpResource)
    {
        $this->_ftpResource = $ftpResource;
    }

    /**
     * @return FTPResource
     */
    public function getResource(){
        return $this->_ftpResource;
    }

    

}